Get the readiness status for accepting Online Orders

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
GET /o/op/1/onlineOrderReadiness

Returns the status of the Online Order readiness for a specific business location id. See the Online Order Readiness guide for setup and webhook integration details.

Query parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • status string

      Indicates if the business location is ready for accepting online orders

      Values are READY or NOT_READY.

    • lastUpdatedAt string(date-time)

      Timestamp when readiness status was calculated

    • onlineOrderingApiConfiguration object

      Online Ordering API configuration

      Hide onlineOrderingApiConfiguration attributes Show onlineOrderingApiConfiguration attributes object
      • enabled boolean

        A flag indicating if a business location has the Online Ordering API enabled

      • orderProfileId integer(int64)

        Order Profile id

      • staffId integer(int64)

        Staff id

    • posStatus object

      POS status for accepting online orders

      Hide posStatus attributes Show posStatus attributes object
      • salesPeriod string

        Sales period status for the location

        Values are OPENED or CLOSED.

      • acceptingOnlineOrders boolean

        A flag indicating if a POS in the location has the option Online Orders enabled in Control center

      • availableDevices boolean

        A flag indicating if the location has devices running for accepting and processing online orders

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • timestamp string(date-time)

      The date and time at which the error occurred.

    • status integer

      The HTTP status code associated with the error.

    • error string

      A short description of the HTTP status code meaning.

    • message string

      A human-readable message providing more details about the error.

    • path string

      The request path where the error occurred.

GET /o/op/1/onlineOrderReadiness
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/o/op/1/onlineOrderReadiness?businessLocationId=42' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "status": "READY",
  "lastUpdatedAt": "2025-12-11T07:27:47.407Z",
  "onlineOrderingApiConfiguration": {
    "enabled": true,
    "orderProfileId": 123456,
    "staffId": 789012
  },
  "posStatus": {
    "salesPeriod": "OPENED",
    "acceptingOnlineOrders": true,
    "availableDevices": true
  }
}
Response examples (400)
{
  "timestamp": "2023-11-07T22:18:49.101Z",
  "status": 400,
  "error": "Bad Request",
  "message": "Required request parameter 'businessLocationId' for method parameter type Long is not present",
  "path": "/o/op/1/onlineOrderReadiness"
}